Skip to main content
GET
/
slices
/
{owner_name}
/
{slice_slug}
cURL
curl --request GET \
  --url https://api.avala.ai/api/v1/slices/{owner_name}/{slice_slug}/ \
  --header 'X-Avala-Api-Key: <api-key>'
{
  "name": "<string>",
  "slug": "<string>",
  "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "owner_name": "<string>",
  "organization": {
    "name": "<string>",
    "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slug": "<string>",
    "description": "<string>",
    "logo": "<string>",
    "website": "<string>"
  },
  "visibility": "public",
  "sub_slices": [
    {
      "type": "dataset_items",
      "dataset_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dataset_item_uids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "filters": {}
    }
  ],
  "source_data": {},
  "status": "pending",
  "featured_slice_item_urls": [
    "<string>"
  ],
  "item_count": 123
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

owner_name
string
required
slice_slug
string
required

Response

200 - application/json
name
string
required
Required string length: 1 - 100
slug
string
required
Required string length: 1 - 100
uid
string<uuid>
owner_name
string

The name of the slice owner

Minimum string length: 1
organization
object
visibility
enum<string>
Available options:
public,
private
sub_slices
object[]
source_data
Source data · object
status
enum<string>
Available options:
pending,
created,
failed

List of the first 4 found slice items' URL

item_count
integer